Package Details: esphome 1.14.3-3

Git Clone URL: https://aur.archlinux.org/esphomeyaml.git (read-only, click to copy)
Package Base: esphomeyaml
Description: Solution for your ESP8266/ESP32 projects with Home Assistant
Upstream URL: https://github.com/esphome/ESPHome
Keywords: ESP32 ESP8266
Licenses: MIT
Replaces: esphomeyaml
Submitter: sgar
Maintainer: sgar
Last Packager: sgar
Votes: 4
Popularity: 0.095216
First Submitted: 2019-02-06 12:02
Last Updated: 2020-03-26 18:11

Latest Comments

1 2 Next › Last »

pohl7589 commented on 2020-03-11 18:57

Seems like requires.txt has not been updated to reflect current package versions in Arch Linux. To make esphome work, you need to edit requires.txt in the esphome-1.14.3-py3.8.egg-info folder:

voluptuous==0.11.7
PyYAML==5.3
paho-mqtt==1.5.0
colorlog==4.1.0
tornado==6.0.4
protobuf==3.11.4
tzlocal==2.0.0
pytz==2019.3
pyserial==3.4
ifaddr==0.1.6
platformio==4.2.1
esptool==2.8

pohl7589 commented on 2020-03-09 20:30

esphome doesn't run, esptool complains about a version conflict (2.7 vs. 2.8)

Traceback (most recent call last):
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 584, in _build_master
    ws.require(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 901, in require
    needed = self.resolve(parse_requirements(requirements))
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 792, in resolve
    raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (esptool 2.8 (/usr/lib/python3.8/site-packages), Requirement.parse('esptool==2.7'), {'esphome'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/bin/esphome", line 6, in <module>
    from pkg_resources import load_entry_point
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3254, in <module>
    def _initialize_master_working_set():
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3237, in _call_aside
    f(*args, **kwargs)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 3266, in _initialize_master_working_set
    working_set = WorkingSet._build_master()
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 586, in _build_master
    return cls._build_from_requirements(__requires__)
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 599, in _build_from_requirements
    dists = ws.resolve(reqs, Environment())
  File "/usr/lib/python3.8/site-packages/pkg_resources/__init__.py", line 787, in resolve
    raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'esptool==2.7' distribution was not found and is required by esphome

offlinehoster commented on 2019-12-02 14:43

Currently there are some problems with esphome

Traceback (most recent call last):
  File "/usr/bin/esphome", line 6, in <module>
    from esphome.__main__ import main
ModuleNotFoundError: No module named 'esphome'

And after removing all esphome packages and install again I got

…
INFO Generating C++ source...
INFO Core config or version changed, cleaning build files...
INFO Compiling app...
Traceback (most recent call last):
  File "esphome.py", line 575, in <module>
    sys.exit(main())
  File "esphome.py", line 566, in main
    return run_esphome(sys.argv)
  File "esphome.py", line 553, in run_esphome
    rc = POST_CONFIG_ACTIONS[args.command](args, config)
  File "esphome.py", line 293, in command_compile
    exit_code = compile_program(args, config)
  File "esphome.py", line 163, in compile_program
    return platformio_api.run_compile(config, CORE.verbose)
  File "/home/user/.cache/yay/esphomeyaml/src/esphome-1.14.3/esphome/platformio_api.py", line 93, in run_compile
    return run_platformio_cli_run(config, verbose)
  File "/home/user/.cache/yay/esphomeyaml/src/esphome-1.14.3/esphome/platformio_api.py", line 89, in run_platformio_cli_run
    return run_platformio_cli(*command, **kwargs)
  File "/home/user/.cache/yay/esphomeyaml/src/esphome-1.14.3/esphome/platformio_api.py", line 78, in run_platformio_cli
    import platformio.__main__
ModuleNotFoundError: No module named 'platformio'
==> FEHLER: Ein Fehler geschah in check().
    Breche ab...
Error making: esphomeyaml (esphome)

Popolon commented on 2019-11-28 11:17

==> Validating source files with sha256sums...
    v1.14.3.tar.gz ... FAILED
==> ERROR: One or more files did not pass the validity check!

RuneArch commented on 2019-10-07 18:11

Looks like this is already noted upstream: https://github.com/esphome/issues/issues/591

Solution (for me) was: sudo pip install voluptuous==0.11.5

desperat commented on 2019-10-06 15:12

With tornado 5.1.1.1:

https://archive.archlinux.org/packages/p/python-tornado/

is not working as well:

Traceback (most recent call last): File "/usr/bin/esphome", line 11, in <module> load_entry_point('esphome==1.13.6', 'console_scripts', 'esphome')() File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 489, in load_entry_point return get_distribution(dist).load_entry_point(group, name) File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 2852, in load_entry_point return ep.load() File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 2443, in load return self.resolve() File "/usr/lib/python3.7/site-packages/pkg_resources/init.py", line 2449, in resolve module = import(self.module_name, fromlist=['name'], level=0) File "/usr/lib/python3.7/site-packages/esphome/main.py", line 10, in <module> from esphome import const, writer, yaml_util File "/usr/lib/python3.7/site-packages/esphome/writer.py", line 7, in <module> from esphome.config import iter_components File "/usr/lib/python3.7/site-packages/esphome/config.py", line 15, in <module> from esphome import core, core_config, yaml_util File "/usr/lib/python3.7/site-packages/esphome/core_config.py", line 6, in <module> import esphome.config_validation as cv File "/usr/lib/python3.7/site-packages/esphome/config_validation.py", line 1242, in <module> Optional(CONF_COMMAND_TOPIC): All(requires_component('mqtt'), subscribe_topic), File "/usr/lib/python3.7/site-packages/esphome/voluptuous_schema.py", line 198, in extend ret = super(_Schema, self).extend(schema, extra=extra) File "/usr/lib/python3.7/site-packages/voluptuous/schema_builder.py", line 782, in extend return result_cls(result, required=result_required, extra=result_extra) TypeError: init() got an unexpected keyword argument 'required'

Leo_Verto commented on 2019-08-06 20:44

With python-tornado having been updated to 6.0 this package is now broken as esphome requires tornado<6.

M8377 commented on 2019-06-10 08:52

http://sprunge.us/7fCInE V1.13.5 SHA256sum is 102a586ef93f6eadc03247c1f3c285e3f9d17109cfafa87c82384fe0bf0c2938

sgar commented on 2019-04-12 07:10

@erikvdv both those packages have been marked as out-of-date.. i compiled them on my own and tested esphome.. the versions are on the requirements file, esphome wouldnt run otherwise

erikvdv commented on 2019-04-11 20:23

python-colorlog>=4.02 and python-yaml>=5.1 are not available in community or aur